### Method

# SpiceClientGLib UsbDeviceManager get_devices

#### Declaration [src]

    GPtrArray*
    spice_usb_device_manager_get_devices (
      SpiceUsbDeviceManager* manager
    )

#### Description [src]

Finds devices associated with the `manager`.

#### Return value

Type: An array of `SpiceUsbDevice*`

A %GPtrArray array of %SpiceUsbDevice.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.